# neo.mjs Contributing Guide
We are very excited that you are interested in contributing to neo.mjs.<br>
No worries, you don't need to be a guru, ninja or rockstar to support the project.

## What you can do to help:

### 1.  neo.mjs just got released, so the most important thing right now is to get more eyes on the project.
1. Add a star to the <a href="https://github.com/neomjs/neo">neo.mjs repository</a>. Ok, this one was easy. Thank you!
2. Tell your friends about neo.mjs.
3. Write blog posts or post on social media (Facebook, LinkedIn, Twitter, etc.)
4. Please stick to our <a href=".github/CODE_OF_CONDUCT.md">Code of Conduct</a>
5. Interested to see a neo.mjs session at a developer conference? Definitely possible. Just reach out!

### 2.  Use the issues tracker
1. In case you got an idea for a new feature
2. In case you find a bug
    1. Ideally, you create a new breaking test inside the tests folder.
    This saves a lot of time and ensures the bug will stay fixed once the ticket is resolved.
3. Please like or comment on current tickets.
    This is a great help to figure out which tickets are the most important ones for the neo.mjs community.

### 3.  Contribute to the neo.mjs code base
1. Please ***always*** create a new issue inside our <a href="../../issues">Issues Tracker</a> first and wait for approval.
   This ensures that your idea fits the scope of the project and makes it less likely to get a rejected PR.
   We will do our best to reply to new tickets within 7d max. In case we don't, feel free to bump the ticket.
2. In case you want to work on an existing ticket, please add a comment there and get the ticket assigned to you.
   Otherwise multiple contributors could work on the same item in parallel.
3. Please make sure that pull requests are always related to an issue inside our <a href="../../issues">Issues Tracker</a>.
4. Please create PRs for the dev branch and not for master.
5. Please do not copy code from other frameworks / libraries. So far, the entire neo.mjs code base is written from scratch.
    1. It is simply impossible to verify if contributed code is self-written.
    2. Adding new npm packages => dependencies / devDependencies is fine, in case there are no licensing conflicts.

### 4.  In case you created a nice app or component using neo.mjs, please let us know about it.
1.  We are always interested to feature client projects in blog posts or on social media.

<br><br>
Copyright (c) 2020 - today, <a href="https://www.linkedin.com/in/tobiasuhlig/">Tobias Uhlig</a>